
Redmine - Defect #3196

Don't properly support encoding of repositories (git)

2009-04-17 09:06 - Otavio Salvador

Status: Closed Start date: 2009-04-17

Priority: Normal Due date:  

Assignee: Toshi MARUYAMA % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

otaviosalvador@projetos:~$ sudo -u www-data ruby /var/www/redmine/script/runner "Repository.fetch_

changesets" -e production

/var/lib/gems/1.8/gems/rails-2.2.2/lib/commands/runner.rb:47: /var/lib/gems/1.8/gems/activerecord-

2.2.2/lib/active_record/connection_adapters/abstract_adapter.rb:188:in `log': PGError: ERRO:  sequ

ência de bytes é inválida para codificação "UTF8": 0xe1206d (ActiveRecord::StatementInvalid)

HINT:  Este erro pode acontecer também se a sequência de bytes não corresponde a codificação esper

ado pelo servidor, que é controlada por "client_encoding".

: INSERT INTO "changesets" ("committed_on", "comments", "commit_date", "scmid", "user_id", "revisi

on", "repository_id", "committer") VALUES('2004-01-15 19:11:02.000000', E'Merge openembedded@opene

mbedded.bkbits.net:packages

into direwolf.itg.ti.com:/home/kergoth/coding/projects/user/oe-metadata/packages

2004/01/15 20:57:34+01:00 uni-frankfurt.de!mickeyl

voli� mes amis - there''s libqpe

2004/01/15 20:32:52+01:00 uni-frankfurt.de!mickeyl

Merge bk://openembedded@openembedded.bkbits.net/packages

into gandalf.tm.informatik.uni-frankfurt.de:/usr/local/projects/oe-packages

2004/01/15 20:32:37+01:00 uni-frankfurt.de!mickeyl

fix staging of qte builds (library links were missing)

BKrev: 400701e6ZPRzFo5Msj1HGeMmh2NY_A', '2004-01-15 19:11:02.000000', E'd960d4f0cd214418e981d12a23

04a5d6145295c0', NULL, E'd960d4f0cd214418e981d12a2304a5d6145295c0', 33, E'Chris Larson <clarson@ke

rgoth.com>') RETURNING "id" 

    from /var/lib/gems/1.8/gems/activerecord-2.2.2/lib/active_record/connection_adapters/postgresq

l_adapter.rb:503:in `execute'

    from /var/lib/gems/1.8/gems/activerecord-2.2.2/lib/active_record/connection_adapters/postgresq

l_adapter.rb:1000:in `select_raw'

    from /var/lib/gems/1.8/gems/activerecord-2.2.2/lib/active_record/connection_adapters/postgresq

l_adapter.rb:987:in `select'

    from /var/lib/gems/1.8/gems/activerecord-2.2.2/lib/active_record/connection_adapters/abstract/

database_statements.rb:7:in `select_all_without_query_cache'

    from /var/lib/gems/1.8/gems/activerecord-2.2.2/lib/active_record/connection_adapters/abstract/

query_cache.rb:62:in `select_all'

    from /var/lib/gems/1.8/gems/activerecord-2.2.2/lib/active_record/connection_adapters/abstract/

database_statements.rb:13:in `select_one'

    from /var/lib/gems/1.8/gems/activerecord-2.2.2/lib/active_record/connection_adapters/abstract/

database_statements.rb:19:in `select_value'

    from /var/lib/gems/1.8/gems/activerecord-2.2.2/lib/active_record/connection_adapters/postgresq

l_adapter.rb:443:in `insert'

    from /var/lib/gems/1.8/gems/activerecord-2.2.2/lib/active_record/base.rb:2733:in `create_witho

ut_callbacks'

    from /var/lib/gems/1.8/gems/activerecord-2.2.2/lib/active_record/callbacks.rb:237:in `create_w

ithout_timestamps'

    from /var/lib/gems/1.8/gems/activerecord-2.2.2/lib/active_record/timestamp.rb:29:in `create'

    from /var/lib/gems/1.8/gems/activerecord-2.2.2/lib/active_record/base.rb:2699:in `create_or_up

date_without_callbacks'

    from /var/lib/gems/1.8/gems/activerecord-2.2.2/lib/active_record/callbacks.rb:222:in `create_o

r_update'

    from /var/lib/gems/1.8/gems/activerecord-2.2.2/lib/active_record/base.rb:2400:in `save_without
_validation!'

    from /var/lib/gems/1.8/gems/activerecord-2.2.2/lib/active_record/validations.rb:1019:in `save_

without_dirty!'

    from /var/lib/gems/1.8/gems/activerecord-2.2.2/lib/active_record/dirty.rb:87:in `save_without_

transactions!'

    from /var/lib/gems/1.8/gems/activerecord-2.2.2/lib/active_record/transactions.rb:150:in `save!

'

    from /var/lib/gems/1.8/gems/activerecord-2.2.2/lib/active_record/connection_adapters/postgresq

l_adapter.rb:550:in `transaction'

    from /var/lib/gems/1.8/gems/activerecord-2.2.2/lib/active_record/transactions.rb:129:in `trans

action'

    from /var/lib/gems/1.8/gems/activerecord-2.2.2/lib/active_record/transactions.rb:138:in `trans

action'

    from /var/lib/gems/1.8/gems/activerecord-2.2.2/lib/active_record/transactions.rb:150:in `save!

'

    from /var/lib/gems/1.8/gems/activerecord-2.2.2/lib/active_record/transactions.rb:158:in `rollb

ack_active_record_state!'

    from /var/lib/gems/1.8/gems/activerecord-2.2.2/lib/active_record/transactions.rb:150:in `save!

'

    from /var/lib/gems/1.8/gems/activerecord-2.2.2/lib/active_record/validations.rb:990:in `create

!'

    from /var/www/redmine/app/models/repository/git.rb:51:in `fetch_changesets'

    from /var/lib/gems/1.8/gems/activerecord-2.2.2/lib/active_record/connection_adapters/postgresq

l_adapter.rb:550:in `transaction'

    from /var/lib/gems/1.8/gems/activerecord-2.2.2/lib/active_record/transactions.rb:129:in `trans

action'

    from /var/lib/gems/1.8/gems/activerecord-2.2.2/lib/active_record/transactions.rb:138:in `trans

action'

    from /var/www/redmine/app/models/repository/git.rb:50:in `fetch_changesets'

    from /var/www/redmine/lib/redmine/scm/adapters/git_adapter.rb:165:in `revisions'

    from /var/www/redmine/lib/redmine/scm/adapters/git_adapter.rb:151:in `each_line'

    from /var/www/redmine/lib/redmine/scm/adapters/git_adapter.rb:151:in `revisions'

    from /var/www/redmine/lib/redmine/scm/adapters/abstract_adapter.rb:181:in `call'

    from /var/www/redmine/lib/redmine/scm/adapters/abstract_adapter.rb:181:in `shellout'

    from /var/www/redmine/lib/redmine/scm/adapters/abstract_adapter.rb:179:in `popen'

    from /var/www/redmine/lib/redmine/scm/adapters/abstract_adapter.rb:179:in `shellout'

    from /var/www/redmine/lib/redmine/scm/adapters/abstract_adapter.rb:165:in `shellout'

    from /var/www/redmine/lib/redmine/scm/adapters/git_adapter.rb:145:in `revisions'

    from /var/www/redmine/app/models/repository/git.rb:48:in `fetch_changesets'

    from (eval):1:in `to_proc'

    from /var/www/redmine/app/models/repository.rb:143:in `each'

    from /var/www/redmine/app/models/repository.rb:143:in `fetch_changesets'

    from (eval):1

    from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `eval'

    from /var/lib/gems/1.8/gems/rails-2.2.2/lib/commands/runner.rb:47

    from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

    from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'

    from /var/www/redmine/script/runner:3

otaviosalvador@projetos:~$ 

Related issues:

Related to Redmine - Patch #236: Patch for remote cvs server and non-English ... Closed

Related to Redmine - Feature #3396: Git: use --encoding=UTF-8 in "git log" Closed 2009-05-20

Related to Redmine - Defect #2890: CVS fetch changesets for latin1 charset Closed 2009-03-03

History

#1 - 2011-02-08 05:52 - Toshi MARUYAMA

- Assignee set to Toshi MARUYAMA

- Priority changed from High to Normal

#2 - 2011-02-28 15:21 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Fixed
Fixed until r4964 in #3396.
